### Method

# Handy Deck set_transition_type

since: 1.0

#### Declaration [src]

    void
    hdy_deck_set_transition_type (
      HdyDeck* self,
      HdyDeckTransitionType transition
    )

#### Description [src]

Sets the type of animation used for transitions between children.

The transition type can be changed without problems at runtime, so it is possible to change the animation based on the child that is about to become current.

Available since: 1.0

Sets property | `Handy.Deck:transition-type`

#### Parameters

`transition`

  Type: `HdyDeckTransitionType`

  The new transition type.